Subject: Re: [nfsv4] Vancouver IETF meeting (Nov 3-8) - Request for NFS working group items

From: "Noveck, David" <[email-masked]>
Date: Fri, 6 Sep 2013 20:12:08 -0400

Ø  And the second requirement is that they agree with your assignments.

Fair enough.

Ø  So Tom and Andy need to speak up.

Indeed.

Ø  Also, is there any particular reason that an "update" couldn't be done to the email alias? Certainly having open discussion is great but awaiting the arrival of November's meeting shouldn't be a hold on update/progress/status-mongering... :)

The general reason is that the stream of emails already on the working group list constitute a series of updates from which one could glean the status of these items.  However, even if one is inclined to follow these assiduously, stuff gets lost, and people are unclear about where we are.  Thus the need for status summaries.

So we need to have status summaries provided at some frequency.  However, right now, until something changes, our vehicle for such update summaries is the thrice-yearly IETF meetings.   And those meetings provide the kind of open discussion that varies from "great" to merely OK, but still the fact that people can interact in real-time is crucial.   I don't think there's any way to consistently get more frequent update summaries (monthly, perhaps) without a lot of work that people would not be thrilled about putting in.   If Tom, Andy, and Chuck (or your nominees if you want) were to agree to regularly provide those, I would follow suit.

If we don't meet three times a year, the result is not likely to be more frequent status summaries, but instead less frequent ones or none at all.

From: Spencer Shepler [mailto:[email-masked]]
Sent: Friday, September 06, 2013 2:14 PM
To: Noveck, David; Chuck Lever
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: [nfsv4] Vancouver IETF meeting (Nov 3-8) - Request for NFS working group items

And the second requirement is that they agree with your assignments.

So Tom and Andy need to speak up.

Also, is there any particular reason that an "update" couldn't be done to the email alias?  Certainly having open discussion is great but awaiting the arrival of November's meeting shouldn't be a hold on update/progress/status-mongering... :)

Spencer

From: Noveck, David [mailto:[email-masked]]
Sent: Friday, September 6, 2013 11:11 AM
To: Chuck Lever; Spencer Shepler
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: [nfsv4] Vancouver IETF meeting (Nov 3-8) - Request for NFS working group items

>  I can provide a very brief FedFS update as part of the normal NFS State of the Union presentation.  Agenda items for RFC3530bis, internationalization, NFSv4.2, and RPCGSS v3 progress reports go without saying.

It should go without saying, but it does make sense to say it.  Since you can't have an agenda item without someone to present it, we need to have volunteers who are willing to be present in Vancouver.  So here are my suggestions on who it makes sense to report on these items.

FedFS: Chuck
RFC3530bis: Tom
Internationalization:  Me, but if there is a travel approval issue, David Black is the right person to do this.
NFSv4.2: Tom
RPCGSS v3: Andy.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Chuck Lever
Sent: Thursday, September 05, 2013 4:00 PM
To: Spencer Shepler
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [nfsv4] Vancouver IETF meeting (Nov 3-8) - Request for NFS working group items

On Sep 3, 2013, at 12:06 PM, Spencer Shepler <[email-masked]<mailto:[email-masked]>> wrote:

Hello. The cutoff for working group meeting requests is Sept 23rd.

Please send (to the alias) work items that should be on the list for potential agenda items.

If you own a particular work item or are contributing to one and had planned on completing work or having something out for review between now and then, please note that as well for overall planning.

I'm planning to update the NFS end-to-end draft before IETF 88, but I'm not planning a presentation at this time.

I can provide a very brief FedFS update as part of the normal NFS State of the Union presentation.  Agenda items for RFC3530bis, internationalization, NFSv4.2, and RPCGSS v3 progress reports go without saying.

The Linux client migration implementation is getting merged into upstream Linux.  I'm interested in any presentation or conversation on NFSv4 migration, and can report implementation experience, if desired.

During IETF 87, Sorin reported he has uncovered some NFS/RDMA performance scalability issues.  I'm interested in any follow-up on that work (focused on RDMA specifics rather than the Lustre components).

I'm interested in Dave Noveck's NFS extensibility work.

I would like to make a consensus call by Sept 18th for a decision if we will be asking for time in Vancouver.

Fwiw, I'm in favor of meeting in Vancouver.

--
Chuck Lever
chuck[dot]lever[at]oracle[dot]com